Bug 1905658 (CVE-2020-29568)

Summary: CVE-2020-29568 xen: frontends can trigger OOM in backends by update a watched path (XSA-349)
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jforbes, m.a.young, robinlee.sysu, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-15 22:20:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1908084    
Bug Blocks: 1903644    

Description Guilherme de Almeida Suckevicz 2020-12-08 18:47:29 UTC
Some OSes (such as Linux, FreeBSD, NetBSD) are processing watch events
using a single thread.  If the events are received faster than the thread
is able to handle, they will get queued.

As the queue is unbound, a guest may be able to trigger a OOM in
the backend.

Comment 1 Guilherme de Almeida Suckevicz 2020-12-15 19:55:40 UTC
External References:

https://www.openwall.com/lists/oss-security/2020/12/15/10

Comment 2 Guilherme de Almeida Suckevicz 2020-12-15 19:55:52 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1908084]

Comment 3 Product Security DevOps Team 2020-12-15 22:20:01 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 4 Justin M. Forbes 2021-03-04 22:01:22 UTC
This was fixed for Fedora with the 5.10.4 stable kernel updates.